{% extends 'base.html'%}

{%load static%}
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
     
    <link rel="stylesheet" href= "https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"> 
    <script src= "https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"> </script> 
    <script src= "https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script> 
    <script src= "https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="{% static 'css/style.css' %}" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

    <title>Ayesha's Story</title>
</head>

<body>
{% block content %}

<div class = "container">
    <h3 style = "text-align : center; padding-top : 7%" >Buat Daftar Kegiatan</h3><br><br>
    <form id="form" method="POST" action="/story6/post-kegiatan" enctype="multipart/form-data">
        {% csrf_token %}
        <div class="form-group">
            {{ forms.kegiatan_form.as_p }}
        </div>
        <br>
        <button type="submit" class="btn btn-warning" id="bton">Tambah Kegiatan</button>
    </form>
</div>
<br><br>

{% for kegiatan in data.kegiatan %}
    <div class = "container" style = "padding-bottom : 5%">
    <div class="card text-white bg-dark mb-3" style="max-width: 20rem; text-align: center; margin: 0 auto;
        float: none;
        margin-bottom: 10px; padding-bottom : 4%">
        <div class="card-header">{{ kegiatan.nama }}</div>
        <div class="card-body text-white">
            <h4 class="card-title">Peserta : </h4>
            {% for peserta in data.peserta %}
                {% if peserta.kegiatan.nama == kegiatan.nama %}
                    <p class="card-text">{{ peserta.nama }}</p>
                {% endif %}
            {% endfor %}
        </div>
        <form id="form" method="POST" action="/story6/post-peserta/{{ kegiatan.id }}" enctype="multipart/form-data">
            {% csrf_token %}
            <div class="form-group container">
                {{ forms.peserta_form.as_p }}
            </div>
            <br>
            <button type="submit" class="btn btn-warning" id="bton">Tambah Peserta</button>
        </form>
    </div>
    </div>
{% endfor %}
</body>
{% endblock %}

</html>
